Display a rotating QR code
POST
Get the current link for the project's rotating QR code. Fetch it again when validUntil passes.
API-key permission: qr read. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidOK
application/json- response
qrCode*link*stringFormat
uriserverTime*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timevalidFrom*|nullvalidUntil*|nullcurl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/qr/display'Example Response
{
"qrCode": {
"id": "string",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"mode": "permanent",
"credentialGeneration": 1,
"rotationPeriodSeconds": 300,
"revokedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"link": "http://example.com",
"serverTime": "2019-08-24T14:15:22Z",
"validFrom": "2019-08-24T14:15:22Z",
"validUntil": "2019-08-24T14:15:22Z"
}